Newsreader

Karamba & Superkaramba

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5 .0
Description:

NOTE:You have to run newsreader from its dir, I will solve this very soon
-----------------------
NOTE:Edit file Plugins/KdeLook/update.py to change its configuration
-----------------------
Newsreader is a new way to display news and other text in your desktop trough Karamba. It uses a Plugins system that make very easy to add new website support and everything you can think. It also uses a multitab display, and script to automatically change the skin and plugins that are activated.
Working Plugins:
SlashDot
BSDToday
LinuxToday
LinuxGames
Mozilla
FreshMeat
LinuxWeekly
InstaPundit
Perl.com
Python.com
Zope
LinuxPlanet
OSNews
Barrapunto (Spanish)
Libertonia (Spanish)
HispaLinux (Spanish)
MozillaPL (Polish)
LinuxNewsPL (Polish)
Mail (Alpha)
DiskUsage (Alpha)
Last changelog:

17 years ago

---------------------
Version 0.4.4
*Added Plugin KdeLook, which reads all the 28 sections of Kde-look.org (karamba section too, of course)
---------------------
Version 0.4.2
*Added Skin Modern
---------------------
Version 0.4
*Scroll added
*New Plugins
*Other minor bugs fixed
---------------------
Version 0.2.2
*Added a "newsreader" executable script to avoid problems with links (Temporaly disabled)
---------------------
Version 0.2.1
*Minor bugs fixed
---------------------
Version 0.2:
*Rewrited with python support, fast tab switch, shadows, color change, and many other features
*18 Plugins
*1 Skin
*MailReader and DiskUsage plugins are in a very alpha release
---------------------
Version 0.1:
*10 Plugins
*3 Skin
---------------------

amit

17 years ago

bug #1: the news symlink points to /home/xx/cvs/ or something.. have to make it point to ./Plugins/Slashdot or something

bug #2: update doesn't work; have to manually execute Plugins/xx/update

bug #3: if there are no news items to be scrolled, and when the scroll buttons are pressed, konqueror windows are opened with some arbitrary article from the ones that are displayed.

Report

jeddhor

17 years ago

i very much like the window decoration you're using in those screenies. what's it called and where can i get it :)?

Report

sorcerer

17 years ago

I'll continue posting the message:
Traceback (most recent call last):
File "newsreader.py", line217 , in widgetUpdated
makeNews(widget)
File "newsreader.py", line168 , in makeNews
nnews = karamba.createText(widget, textx, y, textw, texth, newstext[i])
IndexError: list index out of range
Call to widgetUpdated failed

And all news aren't updated.
I cleaned Plugins/SlashDot/news to test whether it's updated or not, but don't get any news line.

Report

C

darod

17 years ago

If have detected the bug, it won't be hard to repare, next version will work. But now, to fix it, go to your newsreader dir and exec:

./bin/installnews news1 $PWD

and restart newsreader, this will fix the bad configuration(You will see a symlink called "news" in the newsreader dir, be sure that after executing that command it won't be broken

Report

sorcerer

17 years ago

I extracted the package into:
~/tmp/kde/kde-look/Karamba/newsreader
and when I launch "superkaramba newsreader.theme", it keeps produsing these lines:
superkaramba: TaskManager::TaskManager()
Loaded my python extension!
QFont::setPointSize: Point size

Report

C

darod

17 years ago

I had some problems since last updated, so the file you donwload was the 0.1 version. I have fixed it, you have to download newsreader-0.2.tgz for newsreader with all news features, like new plugins, Fast Tab switch, Color & Shadow text change...

Report

WinterWolf

17 years ago

its something wrong with my Karamba, or I don't have something Karamba needs, but I still can't get this to work.

I run SuSE 8.2 and none of the news programs work, they don't display any text, the Register one won't work this one won't work etc.

Please explain to me in greater detail about the install news thing, it still gives me the error.

Report

C

darod

17 years ago

I will try to explain how does it exactly work.
The theme never connect to the internet, it takes the news from the file ./news/news.
This file has text with the format:
HeadLine
Link
HeadLine
...
If you only get white lines it means that the theme can't find this file. The theme searchs for ./news/news, so its very important to launch the theme from it own dir. Run "superkaramba ./newsreader.theme" and wait 3 o 4 secons while it charges. If you still have problems mail me and I try to help you.

Report

C

darod

17 years ago

No, you don't need karamba, this theme use superkaramba, so you must launch it trough last one.

Report

WinterWolf

17 years ago

I don't need Karamba if I have SuperKaramba right?

Report

WinterWolf

17 years ago

Very nice with the sidebar to select your news sie. But, i tried it with SK 0.25 and it gives me an error "Couldn't find the program 'installnews"" and no news item appears when i click the icons.

What am I doing wrong?

Report

C

darod

17 years ago

The installnews script is inside the ./bin directory. The themes ask for ./bin/installnews, so its very important to launch the theme from it dir. I explain, if you untgz the file in $HOME/karamba/newsreader you HAVE to change firs to that dir and then exec karamba newsreader.theme
I have just released version 0.2, try it

Report

C

darod

17 years ago

For those who have downloaded newsreader, tell them that the project is not stopped and new update will be released soon.
This update will include more plugins (20 plugins in total), new internal architecture that will allow newsreader to use more powerful plugins (some of this plugins will be included in 0.2, such as mailreader (reads local inbox) or DiskUsage (shows monted devices information). A new skin will be released too, this skin will be made in python, and will include fast tab switch with less resources. I have opened a sourceforge page for the proyect, and the cvs server will be up soon.

For gnome users, I will try to do a implementation of newsreader for this desktop, like gdeskcal

Report

protoman

17 years ago

[bart@spiff superkaramba-0.17j]$ ./karamba-precompiled-binary
ImportError: No module named newsreader
Failed to load a python module for newsreader
QFont::setPointSize: Point size

Report

C

darod

17 years ago

Don't worry, it is not a really problem, just a warning. It says you that you aren't running a newsreader theme designed for Superkaramba. In the main dir of newsreader exist a symlink to ./themes/"active_theme"/newsreader.py
If the theme hasn't a python module the symlink is broken, but program should work perfectly. I forgot to add this to the README, I will do it now. Thanks for the comment

Report

17 years ago

---------------------
Version 0.4.4
*Added Plugin KdeLook, which reads all the 28 sections of Kde-look.org (karamba section too, of course)
---------------------
Version 0.4.2
*Added Skin Modern
---------------------
Version 0.4
*Scroll added
*New Plugins
*Other minor bugs fixed
---------------------
Version 0.2.2
*Added a "newsreader" executable script to avoid problems with links (Temporaly disabled)
---------------------
Version 0.2.1
*Minor bugs fixed
---------------------
Version 0.2:
*Rewrited with python support, fast tab switch, shadows, color change, and many other features
*18 Plugins
*1 Skin
*MailReader and DiskUsage plugins are in a very alpha release
---------------------
Version 0.1:
*10 Plugins
*3 Skin
---------------------

12345678910
Be the first to comment
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.4.4
updated May 24 2003
added May 02 2003
downloads 24h
0
mediaviews 24h 0
pageviews 24h 0